%define name smeserver-open-vm-tools
%define version 0.1
%define release 5
Summary: Plugin to enable add open-vm-tools support to Koozali SME
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: GNU GPL version 2
URL: http://libreswan.org/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.xz
#Patch1: smeserver-open-vm-tools.patch

BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
Requires:  open-vm-tools
AutoReqProv: no

%description
The qemu-guest-agent is a helper daemon, which is installed in the guest. 
It is used to exchange information between the host and guest, and to execute command in the guest. 

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 0.1-5.sme
- Fix e-smith references in smeserver-open-vm-tools [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 0.1-4.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Thu Nov 25 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-3.sme
- Really fix bogus date

* Thu Nov 25 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-2.sme
- Fix bogus date

* Thu Nov 25 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 0.1-1.sme
- Initial import to Koozali SME 10 [SME: 11776]
- Thanks to Michail Pappas for his work


%prep
%setup
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING" >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre
%preun
%post

echo "********************************************************************"
echo "********************************************************************"
echo "*                                                                  *"
echo "*             See https://wiki.koozali.org/VMware_Tools"           *"
echo "*                                                                  *"
echo "*  Please now run signal-event post-upgrade;signal-event reboot"   *"
echo "*                                                                  *"
echo "********************************************************************"
echo "********************************************************************"


%postun
